/*
 * Nibbled XEVIOUS
 * -- GMC-4 で動く 4bit ゼビウス --
 *
 * 6番のLEDを上にして縦に置きます．
 * 0番のLEDの下にあるネジがソルバルウです．
 * 3番のLEDが光っているのはブラスターの照準だからです．
 * 4,5,6番のLEDはトーロイドです．
 * 何かキーを押すとザッパーを発射します．
 * スコアが数字LEDに表示されます．
 * 
 */

int score = 0;
int screen = 0;
int enemy = 0x7;
int music_data[] = {0x3, 0xa, 0x9, 0xa, 0xc, 0xa, 0x9, 0xa};
int music_index = -1;
// music_index++ より ++music_index の方がコードが短いので-1からスタート

void main(void) {
    while(1) {
	screen += screen;

	if(inputKey(0))
	    screen = 1;

	setLedBinary(enemy, screen);
	setNumberLed(score);

	if(enemy == 8)
	    enemy = 0x7;

	if(screen == 8) {
	    enemy += enemy;

	    if(enemy != 0)
		score++;
	}

	beep(music_data[++music_index]);
	if(music_index >= 7)
	    music_index = -1;
    }
}
